Package lxml :: Module sax

[frames] | no frames]

# Module sax

source code

SAX-based adapter to copy trees from/to the Python standard library.

Use the ElementTreeContentHandler class to build an ElementTree from SAX events.

Use the ElementTreeProducer class or the saxify() function to fire the SAX events of an ElementTree against a SAX ContentHandler.

See http://codespeak.net/lxml/sax.html

Classes
| SaxError General SAX error.
| ElementTreeContentHandler Build an lxml ElementTree from SAX events.
| ElementTreeProducer Produces SAX events for an element and children.

Functions

saxify(element_or_tree, content_handler) One-shot helper to generate SAX events from an XML tree and fire them against a SAX ContentHandler. | source code